<div id="results-header">
  <section id="results-title">
    <div class="alpha">
      <h2>
        <span class="light"><%= gettext "Results for" %></span>
        <span class="semibold">
            <%= if String.contains?(@site.data.host, "xn--") do %>
              <%= idna_from_punycode(@site.data.host) %>
            <% else %>
              <%= @site.data.host %>
            <% end %>
        </span>
      </h2>
    </div>
    <div class="beta">
      <div class="search-bar">
       <%= form_for @conn, Routes.site_path(@conn, :create, @conn.assigns.locale), fn f -> %>
         <%= hidden_input f, :url, [value: @site.data.input_url] %>
         <%= hidden_input f, :refresh, [value: "on"] %>
         <%= submit raw("🔄 " <> gettext("Check again")), [class: "btn-link"] %>
       <% end %>
      </div>
      🕓 <%= format_site_time(@site.updated_at) %>
    </div>
  </section>

  <section id="results-summary">
    <div class="summary">
      <ul>
        <li>
          <span class="label"><a href="#https"><%= gettext("HTTPS by default:") %></a></span>
          <%= if @site.data.scheme == "https" do %>
            <%= if @site.data.mixed_content == %{} do %>
              <%= icon(:pass) %> <%= gettext("Yes") %>
            <% else %>
              <%= icon(:warn) %> <%= gettext("Yes, but has issues") %>
            <% end %>
          <% else %>
            <%= icon(:fail) %> <%= gettext("No; insecure") %>
          <% end %>
        </li>
        <li>
          <span class="label"><a href="#csp">Content Security Policy:</a></span>

          <%= if @site.data.csp.pass do %>
            <%= icon(:pass) %> <%= gettext("Good policy") %>
          <% else %>
            <%= icon(:fail) %>
            <%= case @site.data.csp.result do %>
              <% "csp-header-invalid" -> %> <%= gettext("Invalid header") %>
              <% "csp-not-implemented" -> %> <%= gettext("Not implemented") %>
              <% _ -> %> <%= gettext("Implemented, but has problems") %>
            <% end %>
          <% end %>
          <%= if not @site.data.external_report.pass do %>
          <%= icon(:warn) %> <a href="#ext-report" class="no-decoration"><%= gettext("Reports leaked") %></a>
          <% end %>
        </li>
        <li>
          <span class="label"><a href="#referrers">Referrer Policy:</a></span>

          <%= case @site.data.referrer.status do %>
            <% "success" -> %> <%= icon(:pass) %> <%= gettext("Referrers not leaked") %>
            <% "warning" -> %> <%= icon(:warn) %> <%= gettext("Referrers partially leaked") %>
            <% "alert" -> %> <%= icon(:fail) %> <%= gettext("Referrers leaked") %>
            <% _ -> %> <%= gettext("Unknown") %>
          <% end %>
        </li>
        <li>
          <span class="label"><a href="#cookies"><%= gettext("Cookies:") %></a></span>
          
          <strong><%= @site.data.cookie_count.first_party + @site.data.cookie_count.third_party %></strong>
          <%= if (@site.data.cookie_count.first_party + @site.data.cookie_count.third_party) > 0 do %>
          (<%= gettext(~s|%{first_party} first-party; %{third_party} third-party|, first_party: @site.data.cookie_count.first_party, third_party: @site.data.cookie_count.third_party) %>)
          <% end %>
        </li>
        <li>
          <span class="label"><a href="#requests"><%= gettext("Third-party requests:") %></a></span>

          <strong><%= @site.data.third_party_request_types.total %></strong>
          <%= if @site.data.third_party_request_types.total > 0 do %>
            <%= ngettext("request to", "requests to", @site.data.third_party_request_types.total) %>
            <%= " " %>
            <%= ngettext("1 unique host", "%{count} unique hosts", @site.data.third_party_request_types.unique_hosts) %>
          <% end %>
        </li>
        <li>
          <span class="label"><a href="#server-location"><%= gettext("IP address:") %></a></span>
          <%= @site.data.host_ip %><sup><a class="external" href={"https://tools.keycdn.com/geo?host=#{@site.data.host_ip}"}><%= gettext("Look up") %></a></sup>
        </li>
      </ul>
    </div>
    <div class="url">
      <ul>
        <li><span><%= gettext "Checked URL:" %></span> <%= link @site.data.input_url, to: @site.data.input_url, rel: "nofollow" %></li>
        <li><span><%= gettext "Final URL:" %></span> <%= link @site.data.final_url, to: @site.data.final_url, rel: "nofollow" %></li>
      </ul>
    </div>
  </section>
</div>